function [ rxx02, rxx12, Swn2, Swcn2, auto2] = Autocorrelacion2( nm2, Sw2, Swc2 ) 
%rx(i) = sum,n=0,N-1[S(n).S(n-i)]
ncoef2 = 16;
Swn2 = zeros(1,nm2+(ncoef2-1)); 
Swcn2 = zeros(1,nm2+(ncoef2-1));
% Swn(1:12)= 9;
% Swcn(1:12) = 9;
for k = ncoef2:1:nm2+(ncoef2-1) 
    Swn2(k) = Sw2(k-(ncoef2-1)); 
    Swcn2(k) = Swc2(k-(ncoef2-1));
%Se crean segmentos ficticios para calcular la %autocorrelación con todas las muestras
end
rxx02 = zeros(1,ncoef2); %Vector que contendrá los valores de la autocorrelación del
%Segmento con enventanado-normal
rxx12 = zeros(1,ncoef2); %Vector que contendrá los valores de la autocorrelación del
%Segmento con enventanado-complementario 
for i=1:1:ncoef2
rr2 = 0; %Variable temporal que almacena cada elemento de autocorrelación
rrc2 = 0; %Variable temporal que almacena cada elemento de autocorrelación 
for n = ncoef2:1:nm2+(ncoef2-1)
mult2 = (Swn2(n)*Swn2(n-i+1)); 
rr2=rr2+mult2;
mult12 = (Swcn2(n)*Swcn2(n-i+1)); 
rrc2 = rrc2 + mult12;
if i==1 
    auto2(n-(ncoef2-1)) = rr2;
% 
end
end
rxx02(i) = fix(rr2/256); 
rxx12(i) = fix(rrc2/256);
end
end
